#ifdef strlen
#undef strlen			/* defined in some contexts */
#endif /* strlen */

/*
 * External definitions needed throughout translator.
 */

extern int yychar;		/* parser's current input token type */
extern int yynerrs;		/* number of errors in parse */
extern int nocode;		/* true to suppress code generation */
extern int trace;		/* initial setting of &trace */

extern int in_line;		/* current line number in input */
extern int incol;		/* current column number in input */
extern int peekc;		/* one character look-ahead */
extern FILE *srcfile;		/* current input file */
extern FILE *codefile;		/* current icode output file */
extern FILE *globfile;		/* current global output file */

extern int alclflg;		/* counter for local table overflow */
extern int alcgflg;		/* counter for global table overflow */
extern int alccflg;		/* counter for constant table overflow */

extern char *strings;		/* string space */
extern char *stre;		/* end of string space */
extern char *strf;		/* free pointer for string space */

#ifdef TranStats
#include "tstats.h"
#else					/* TranStats */
#define TokInc(x)
#define TokDec(x)
#endif					/* TranStats */
